#!/usr/bin/perl 
package Zone;

###############################################################################
#                                                                             #
# Filename: Zone.pm                                                           #
#                                                                             #
# Description: This module provides support time zone configuration.          #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

sub tzone {
my @time_zone = qw(
US/Pacific
US/Mountain
US/Central 
US/Eastern
US/Alaska 
US/Arizona
US/East-Indiana
US/Hawaii 
US/Samoa
Africa/Bangui 
Africa/Cairo 
Africa/Casablanca 
Africa/Harare 
Africa/Monrovia 
Africa/Nairobi 
America/Bogota 
America/Buenos_Aires 
America/La_Paz 
America/Lima 
America/Mexico_City 
America/Santiago 
Asia/Almaty 
Asia/Baghdad 
Asia/Baku 
Asia/Bangkok 
Asia/Calcutta 
Asia/Hong_Kong 
Asia/Istanbul 
Asia/Jakarta 
Asia/Jerusalem 
Asia/Kabul 
Asia/Kamchatka 
Asia/Karachi 
Asia/Krasnoyarsk 
Asia/Kuala_Lumpur 
Asia/Kuwait 
Asia/Magadan 
Asia/Muscat 
Asia/Novosibirsk 
Asia/Rangoon 
Asia/Riyadh 
Asia/Seoul 
Asia/Singapore 
Asia/Taipei 
Asia/Tashkent 
Asia/Tehran 
Asia/Tokyo 
Asia/Urumqi 
Asia/Vladivostok 
Asia/Yakutsk 
Asia/Yerevan 
Atlantic/Azores 
Atlantic/Cape_Verde 
Australia/Adelaide 
Australia/Brisbane 
Australia/Canberra 
Australia/Darwin 
Australia/Hobart 
Australia/Melbourne 
Australia/Perth 
Australia/Sydney 
Canada/Newfoundland 
Canada/Saskatchewan 
Europe/Amsterdam 
Europe/Athens 
Europe/Belgrade 
Europe/Berlin 
Europe/Bratislava 
Europe/Brussels 
Europe/Bucharest 
Europe/Budapest 
Europe/Copenhagen 
Europe/Helsinki 
Europe/Ljubljana 
Europe/Madrid 
Europe/Minsk 
Europe/Moscow 
Europe/Paris 
Europe/Prague 
Europe/Riga 
Europe/Rome 
Europe/Sarajevo 
Europe/Skopje 
Europe/Stockholm 
Europe/Tallinn 
Europe/Vienna 
Europe/Vilnius 
Europe/Warsaw 
Europe/Zagreb 
Greenwich 
Kwajalein 
Pacific/Auckland 
Pacific/Fiji 
Pacific/Guam 
Pacific/Port_Moresby 
Pacific/Tongatapu); 
}
1;

